Show / Hide Table of Contents

# Struct ImPlotPointPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImPlotNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImPlotPointPtr

### Constructors

| Improve this Doc View Source

#### ImPlotPointPtr(ImPlotPoint*)

##### Declaration

    public ImPlotPointPtr(ImPlotPoint*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotPoint* | nativePtr |

| Improve this Doc View Source

#### ImPlotPointPtr(IntPtr)

##### Declaration

    public ImPlotPointPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public ImPlotPoint*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImPlotPoint* |

| Improve this Doc View Source

#### x

##### Declaration

    public double x { get; }

##### Property Value

Type | Description
--- | ---
System.Double |

| Improve this Doc View Source

#### y

##### Declaration

    public double y { get; }

##### Property Value

Type | Description
--- | ---
System.Double |

### Methods

| Improve this Doc View Source

#### Destroy()

##### Declaration

    public void Destroy()

### Operators

| Improve this Doc View Source

#### Implicit(ImPlotPoint* to ImPlotPointPtr)

##### Declaration

    public static implicit operator ImPlotPointPtr(ImPlotPoint*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotPoint* | nativePtr |

##### Returns

Type | Description
--- | ---
ImPlotPointPtr |

| Improve this Doc View Source

#### Implicit(ImPlotPointPtr to ImPlotPoint*)

##### Declaration

    public static implicit operator ImPlotPoint*(ImPlotPointPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotPointPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImPlotPoint* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImPlotPointPtr)

##### Declaration

    public static implicit operator ImPlotPointPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImPlotPointPtr |